> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start an Assessment



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs post /api/v1/assessments
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/assessments:
    post:
      tags:
        - client-api-assessment-rest-resource
      summary: Start an Assessment
      operationId: createAssessment
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                request:
                  type: string
                  description: >-
                    Information necessary to start the assessment.


                    Recipient details are optional. When all of
                    `recipientEmail`, `recipientFirstName`, and
                    `recipientLastName`

                    are omitted, the assessment is started in research mode (no
                    vendor contact). Research-mode assessments

                    may also include any combination of uploaded `files` and/or
                    `publicDocumentUrls`; if neither is provided,

                    VISO will run public information search only.


                    Example (vendor-contact assessment):

                    {
                        "relationshipId": 1,
                        "recipientEmail": "dan@example.com",
                        "recipientFirstName": "Dan",
                        "recipientLastName": "Example",
                        "publicDocumentUrls": ["google.com"],
                        "followupType": "MANUAL",
                        "followupRiskThreshold": null,
                        "followupTimeline": null,
                        "collectionTimeline": null,
                        "noVendorResponseAction": null,
                        "aiProcessingOnly": false,
                        "questionnaires": ["00000000-0000-0000-0000-000000000000"]
                    }


                    Example (research-only assessment):

                    {
                        "relationshipId": 1
                    }
                files:
                  type: array
                  description: Any files to associate with the assessment
                  items:
                    type: string
                    format: binary
              required:
                - request
            encoding:
              request:
                contentType: multipart/form-data
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Assessment'
components:
  schemas:
    Assessment:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
        sentToEmail:
          type: string
        createdDate:
          type: string
          format: date-time
        summary:
          type: string
          default: ''
          deprecated: true
        expirationDate:
          type: string
          format: date-time
        completedDate:
          type: string
          format: date-time
        requestedAuditTypes:
          type: array
          items:
            type: string
          uniqueItems: true
        aiProcessingOnly:
          type: boolean
        noVendorResponseAction:
          type: string
          enum:
            - CLOSE_COLLECTION_REQUEST
            - NOTIFY_ME
        collectionTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
            - ONE_HUNDRED_TWENTY_DAYS
        followupTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
        followupRiskThreshold:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        followupType:
          type: string
          enum:
            - MANUAL
            - AUTOMATIC
            - CONCIERGE
        statusHistories:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentStatusHistory'
          uniqueItems: true
        createdReason:
          type: string
          enum:
            - INITIAL_ASSESSMENT
            - ARTIFACTS_EXPIRED
            - RECERTIFICATION_INITIATED
            - BUSINESS_CASE_OR_DATA_TYPES_CHANGED
            - THIRD_PARTY_CONTACT_UPDATED
            - ARTIFACTS_UPLOADED_ON_RELATIONSHIP
            - REMEDIATION
            - RISK_ADVISORY_RESPONSE
            - INSTANT_ANALYSIS
            - PUBLIC_SEARCH
        assessmentType:
          type: string
        sentToFirstName:
          type: string
        sentToLastName:
          type: string
        recommendations:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentRecommendation'
          uniqueItems: true
        updatedDate:
          type: string
          format: date-time
        phaseDate:
          type: string
          format: date-time
        sentBy:
          $ref: '#/components/schemas/VisoUser'
        requestedArtifactCollection:
          type: boolean
    AssessmentStatusHistory:
      type: object
      default: null
      properties:
        date:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
    AssessmentRecommendation:
      type: object
      default: null
      properties:
        description:
          type: string
        createdDate:
          type: string
          format: date-time
        recommendationType:
          type: string
          enum:
            - EXPIRED
            - HIGH_ASSURANCE
            - CONTROL_DOMAINS
            - COMBINED
            - CERT_ONLY
            - LOW_COVERAGE
            - PRESUMED_ARTIFACT
    VisoUser:
      type: object
      default: null
      properties:
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        businessUnit:
          type: string

````